Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008307TestLinkDatabase MySQLpublic2018-06-20 09:502018-07-11 21:00
Reporterstaun 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformUbuntuOSUbuntuOS Version16.04
Product Version1.9.17 (2018 Q1) 
Fixed in Version 
Summary0008307: migration from 1.9.13 - DB error when creating a new Test Case
DescriptionAfter succesfully upgrade Testlink from 1.9.13 to 1.9.17 (incl. OS) we get an error when we try to create a testcase
Steps To Reproduce1. Select a Test Suite
2. Actions
3. Create Test Case Operations
4. Enter data input.
5. Create

Then I get a plain text page with the DB Access Error
Additional Information ==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)
            Having this additional Information could be useful for reporting
            issue to development TEAM.
 ==============================================================================
#0 database->exec_query(/* Class:testcase - Method: createVersion */ INSERT INTO tcversions (id,tc_external_id,version,summary,preconditions, author_id,creation_ts,execution_type,importance ,status ) VALUES(301783,1594,1,'
Some data

\r\n','
Even more data...

\r\n',33,'2018-06-20 11:46:48', 1,2 ,1 )) called at [/var/www/html/lib/functions/testcase.class.php:667]
#1 testcase->createVersion(stdClass Object ([version] => 1,[id] => 301782,[externalID] => 1594,[summary] =>
Some data


,[preconditions] =>
Even more data...


,[steps] => ,[authorID] => 33,[executionType] => 1,[importance] => 2,[status] => 1,[active] => ,[is_open] => ,[estimatedExecDuration] => )) called at [/var/www/html/lib/functions/testcase.class.php:307]
0000002 testcase->create(85489, TEST_JSH_4,
Some data
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.7
BrowserChrome, IE
PHP Version7.0
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0027618)
fman (administrator)
2018-06-20 20:16

this is not a 1.9.17 issue but regards your data and something that has been wrong during migration

do as always suggest after it migration from one version to new one retest
(0027633)
staun (reporter)
2018-06-25 05:58

Ok, I might have found a solution - reason to this.

Another user had the same issue some time ago and it seems to be caused by MySQL upgrade. Some security settings are applied that Testlink does not like.

After changing /etc/mysql/my.cnf to below we were able to create test-cases again.

[mysqld]
sql-mode =

- Issue History
Date Modified Username Field Change
2018-06-20 09:50 staun New Issue
2018-06-20 20:15 fman QA Team - Task Workflow Status => TBD
2018-06-20 20:15 fman Additional Information Updated View Revisions
2018-06-20 20:16 fman Note Added: 0027618
2018-06-20 20:23 fman Summary DB error when creating a new Test Case => migration from 1.9.13 - DB error when creating a new Test Case
2018-06-20 20:23 fman Status new => feedback
2018-06-25 05:58 staun Note Added: 0027633
2018-06-25 05:58 staun Status feedback => new
2018-07-11 21:00 fman Status new => closed
2018-07-11 21:00 fman Assigned To => fman
2018-07-11 21:00 fman Resolution open => no change required



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker